/**
 * Convenience function for computing a single aggregate value for
 * a table. Equivalent to ungrouping a table, applying a rollup verb
 * for a single aggregate, and extracting the resulting value.
 * @param {Table} table A table instance.
 * @param {import('../../table/Transformable').TableExpr} expr An
 *   aggregate table expression to evaluate.
 * @return {import('../../table/Table').DataValue} The aggregate value.
 * @example agg(table, op.max('colA'))
 * @example agg(table, d => [op.min('colA'), op.max('colA')])
 */
export default function agg(table: Table, expr: import('../../table/Transformable').TableExpr): import('../../table/Table').DataValue;
import Table from "../../table/table";
